Bug 1368512 - [RFE] Director should check available resources before deployment/upgrade
Summary: [RFE] Director should check available resources before deployment/upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-validations
Version: 12.0 (Pike)
Hardware: x86_64
OS: Linux
high
low
Target Milestone: Upstream M3
: 12.0 (Pike)
Assignee: Florian Fuchs
QA Contact: Ola Pavlenko
URL:
Whiteboard:
Depends On: 1510719 1510722 1512556
Blocks: 1442136 1469882
TreeView+ depends on / blocked
 
Reported: 2016-08-19 15:44 UTC by mlammon
Modified: 2018-02-05 19:02 UTC (History)
16 users (show)

Fixed In Version: openstack-tripleo-validations-7.1.1-0.20170621111847.fb7346f.el7ost
Doc Type: Enhancement
Doc Text:
The update adds a new validation to check the hardware resource on the undercloud before an deployment or upgrade. The validation ensures the undercloud meets the necessary disk space and memory requirements prior to a deployment or upgrade.
Clone Of:
Environment:
Last Closed: 2017-12-13 20:46:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 471686 None None None 2017-06-07 10:34:27 UTC
OpenStack gerrit 471691 None None None 2017-06-07 09:53:36 UTC
Red Hat Product Errata RHEA-2017:3462 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Description mlammon 2016-08-19 15:44:15 UTC
Description of problem:

Prior to a deployment and/or upgrade I would expect that the proper resources (i.e disk, swap, memory) should be checked prior to continuing installation/upgrade.  It has been seen many times during upgrades in particular but should apply for new deployments as well. 

This would also make sense to have this resource check to support scale


Expected results:
Not allow the deployment or upgrade to continue and notify in standard output and/or logs what did not meet the requirements.

Comment 2 Jaromir Coufal 2016-09-27 03:48:41 UTC
Changing component to validations. Tho this should be doable via node tagging, where resource amount is requested for node tagging.

Comment 3 Ola Pavlenko 2016-12-13 12:00:05 UTC
Potential candidate for M3

Comment 8 Florian Fuchs 2017-05-31 11:38:41 UTC
There are already validations for disk space and ram as part of the prep and pre-introspection groups, but not as part of the pre-upgrade/update groups.

Comment 10 Udi 2017-11-30 08:52:23 UTC
Verified: openstack-tripleo-validations-7.4.2-1.el7ost.noarch

Comment 13 errata-xmlrpc 2017-12-13 20:46:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.